Delete products (bulk)
curl --request DELETE \
--url https://apix.us.amity.co/api/v1/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productIds": [
"prod-12345",
"prod-67890",
"prod-11111"
]
}
'import requests
url = "https://apix.us.amity.co/api/v1/products"
payload = { "productIds": ["prod-12345", "prod-67890", "prod-11111"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({productIds: ['prod-12345', 'prod-67890', 'prod-11111']})
};
fetch('https://apix.us.amity.co/api/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"success": true
}
}{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 400300,
"message": "Forbidden error."
}{
"status": "error",
"code": 400400,
"message": "Resource Not Found."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Product
Delete products (bulk)
Delete multiple products from the catalogue in a single request.
Access Control:
- Requires admin permissions with ManageProducts flag
Important Notes:
- This performs a soft delete (marks as deleted)
- Accepts 1-100 product IDs per request
- Product feature must be enabled in network settings
DELETE
/
api
/
v1
/
products
Delete products (bulk)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Array of product IDs to delete
Required array length:
1 - 100 elementsRequired string length:
1 - 100Example:
["prod-12345", "prod-67890", "prod-11111"]
⌘I